<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}  
    
    /*********************
    Breadcrumbs
    *******************/
    $wp_customize->add_section('poster_breadcrumbs_section',
    array(
        'title'       => __( 'Breadcrumbs', 'poster' ),
        'capability'  => 'edit_theme_options',						
        'panel'			=> 'poster_single_postsset',
        'priority'    => apply_filters( 'poster_breadcrumbs_section_priority', 10 ),
    ));


    $wp_customize->add_setting(
        'poster_header_heading',
        array(
            'sanitize_callback' => 'wp_kses',
        ));

    $wp_customize->add_control(
        new poster_Customizer_Heading_Control(
            $wp_customize,
            'poster_header_heading',
            array(
                'label'    => esc_html__( 'Choose breadcrumbs Style', 'poster' ),
                'section'  => 'poster_breadcrumbs_section',
                'priority' => 15,
            )));
    $wp_customize->add_setting(
    'poster_breadcrumbs_style',
    array(
        'default'           => 'styleone',
        'type'              => 'theme_mod',
        'transport'   => 'postMessage',
        'sanitize_callback' => 'poster_customize_sanitize_select',
        'capability'        => 'edit_theme_options',
    )
);

$wp_customize->add_control(
    new poster_Image_Radio_Control(
        $wp_customize,
        'poster_breadcrumbs_style',
        array(
            'label'       => __( 'Breadcrumbs Style (Pro Only)', 'poster' ),
            'section'     => 'poster_breadcrumbs_section',
            'choices'     => array(
                'styleone'  => get_template_directory_uri() . '/images/breadcrumbs/breadcrumbsstyle1.jpg',
                'styletwo' => get_template_directory_uri() . '/images/breadcrumbs/breadcrumbsstyle2.jpg',
                'stylethree' => get_template_directory_uri() . '/images/breadcrumbs/breadcrumbsstyle3.jpg',
                'stylefour' => get_template_directory_uri() . '/images/breadcrumbs/breadcrumbsstyle4.jpg',
            ),
            'priority'    => apply_filters( 'poster_breadcrumbs_style_priority', 20 ),
        )
    ));
    
    $wp_customize->add_setting(
        'poster_breadcrumbs_headingset',
        array(
            'sanitize_callback' => 'wp_kses',
        ));


        $wp_customize->add_control(
            new poster_Customizer_Heading_Control(
                $wp_customize,
                'poster_breadcrumbs_headingset',
                array(
                    'label'    => esc_html__( 'Breadcrumbs Settings', 'poster' ),
                    'section'  => 'poster_breadcrumbs_section',
                    'priority' => 25,
                )));
        
        $wp_customize->add_setting('poster_breadcrumbs_on',	
        array(
            'default'			=> 'enable',
            'type'				=> 'theme_mod',
            'capability'		=> 'edit_theme_options',
            'sanitize_callback'	=> 'poster_customize_sanitize_select'
        ));
    $wp_customize->add_control('poster_breadcrumbs_on',
         array (                             
            'type' => 'radio',
            'label' => __('Enable or Disable Breadcrumbs','poster'),
            'settings'   => 'poster_breadcrumbs_on',
            'section' => 'poster_breadcrumbs_section',
            'choices' => array(
                'enable' => __('Enable','poster'),
                'disable' => __('Disable','poster'),
             ),
             'priority'    => apply_filters( 'poster_breadcrumbs_on_priority', 30 ),
         ));